Syscheck GX and normal Syscheck crash

Discussion in 'Wii - Hacking' started by oliverbomb, Apr 26, 2011.

Apr 26, 2011
  1. oliverbomb
    OP

    Member oliverbomb GBAtemp Regular

    Joined:
    May 28, 2009
    Messages:
    180
    Country:
    Netherlands
    Hi I'm trying to run SysCheck GX, and SysCheck, and they both crash near the end, when Scanning IOS 254 on the GX version,

    What am i doing wrong?

    Thnx.
     
  2. Hells Guardian

    Member Hells Guardian GBAtemp Maniac

    Joined:
    Dec 25, 2008
    Messages:
    1,113
    Country:
    United States
    what is 254 that isn't the bootmii IOS is it?
     
  3. XFlak

    Member XFlak Wiitired but still kicking

    Joined:
    Sep 12, 2009
    Messages:
    9,122
    Location:
    Ontario
    Country:
    Canada
    yup
     
  4. oliverbomb
    OP

    Member oliverbomb GBAtemp Regular

    Joined:
    May 28, 2009
    Messages:
    180
    Country:
    Netherlands
    So I've to uninstall bootmii ios?
     
  5. Hells Guardian

    Member Hells Guardian GBAtemp Maniac

    Joined:
    Dec 25, 2008
    Messages:
    1,113
    Country:
    United States
    Try reinstalling the latest bootmii IOS version and run the syscheck again. don't uninstall.


    Thanks XFlak I forgot which slot bootmii was in.
     
  6. obcd

    Member obcd GBAtemp Advanced Maniac

    Joined:
    Apr 5, 2011
    Messages:
    1,594
    Country:
    Belgium
    The program checks the revision number of ios254 to decide if it's the bootmii ios. If so, it will skip some tests that make it hang.

    So, probably you are using an older version with another revision number.

    Hells Guardian gave you the solution. I am just explaining the why.
     
  7. icw35

    Member icw35 GBAtemp Regular

    Joined:
    Sep 22, 2010
    Messages:
    272
    Country:
    United Kingdom
    it crashed on 253 which I've got installed for uniiloader...so I just don't use syscheck anymore [​IMG]
     
  8. obcd

    Member obcd GBAtemp Advanced Maniac

    Joined:
    Apr 5, 2011
    Messages:
    1,594
    Country:
    Belgium
    The latest syscheck should have a check for 253 nand emulator from sorgelig as well.
    I created my own 253 to launch armboot.bin from the bootsnk folder instead of the bootmii folder, and it crashed on that one
    as well. I had 2 add 1 additional check in the program sys.c file, and it worked again.

    So, give it a little credit, it does produce some very usefull information, and if it crashes, it's not a random issue. It's very logical.

    It could perhaps use a little improvement and should perhaps ask if it should check an ios above 250 with an unknown version.
    (And warning you that it might hang upon that check.)
     
  9. icw35

    Member icw35 GBAtemp Regular

    Joined:
    Sep 22, 2010
    Messages:
    272
    Country:
    United Kingdom
    Agree that would be cool. I read that it now supported sorgs ios 253 but...well it still crashes on me and I'm no programmer so I won't be fixing it [​IMG] Hehe. Anyways I have no problems with the Wii at the mo' so I can live without it.
     
  10. obcd

    Member obcd GBAtemp Advanced Maniac

    Joined:
    Apr 5, 2011
    Messages:
    1,594
    Country:
    Belgium
    @icw35
    what version of syscheck did you use to test?

    http://gbatemp.net/t290489-ios-that-launches-bootmii

    contains a link to a version that should work with that ios 253 (in case you want to give it a try.

    I don't supose you have another method to find out what revision this ios is claiming to be? (only if it doesn't work...)
     
  11. Hells Guardian

    Member Hells Guardian GBAtemp Maniac

    Joined:
    Dec 25, 2008
    Messages:
    1,113
    Country:
    United States
    cant you check that on the computer side?
     
  12. obcd

    Member obcd GBAtemp Advanced Maniac

    Joined:
    Apr 5, 2011
    Messages:
    1,594
    Country:
    Belgium
    Loading the wad in showmiinand / showmiiwads should indeed show the version number if I remember well.

    Normally it should work and I shouldn't need that rev. number.
     

Share This Page